Subject: Re: [TR] Congratulations

From: "Greg Lemon" <[email-masked]>
Date: Mon, 29 Sep 2014 07:54:16 -0500

Hi Dave, Doug Buchanan is in my club, he used to vintage race a GT6 
(different car), the GT6 was restored by another member of my club 
(Flatwater Austin Healey) Bob Weddington who lives in Lincoln with me, and 
did a true home/amateur I did it all myself restoration on the car several 
years ago, we have compared notes and swapped parts over the years, I don't 
think Doug is on the list, or if he is he is a lurker, same with Bob, I will 
pass the congrats on to both, Regards, Greg Lemon

** [email-masked] **

Archive: http://www.team.net/archive